petsc-3.13.6 2020-09-29
Report Typos and Errors

# PCComputeOperator

Computes the explicit preconditioned operator.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCComputeOperator(PC pc,MatType mattype,Mat *mat)

Collective on PC

### Input Parameter

| pc | - the preconditioner object
| mattype | - the matrix type to be used for the operator

### Output Parameter

mat -the explict preconditioned operator

### Notes

This computation is done by applying the operators to columns of the identity matrix. This routine is costly in general, and is recommended for use only with relatively small systems. Currently, this routine uses a dense matrix format when mattype == NULL

### See Also

KSPComputeOperator(), MatType

### Level

advanced

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages